function DCMessages() {
    /* + ----------------------------------- +
     * | Confirm messages                    |
     * + ----------------------------------- + */

    /* + ----------------------------------- +
     * | Error messages                    |
     * + ----------------------------------- + */
    this.UNEXPECTED_ERROR                     = 'Ocorreu um erro inesperado. Por favor, tente novamente. Caso o erro persista, entre em contato com o administrador do sistema.';
    this.ERR_WEBSOCKET                        = 'Erro inesperado do WebSocket';
    this.ERR_IS_VALIDATE_CONTACT              = 'É necessário preencher pelo menos um destes campos: "Nome", "Telefone", "E-mail" ou "Endereço".';
    this.ERR_CLIENTE_WINDOWS                  = 'O seu Project Services está conectado em um sistema operacional Windows, mas não existe caminho cadastrado para ele!';
    this.ERR_CLIENTE_NOT_WINDOWS              = 'O seu Project Services está conectado em um sistema operacional que não é Windows, mas não existe caminho cadastrado para ele!';
    this.ERR_PATH_USED_BY_OTHER_REPOSITORY    = 'Não foi possível salvar o local de conexão.<br/>O caminho "%1" contém o repositório cuja URL é "%2".';
    this.ERR_PATH_USED_NOT_GIT_REPOSITORY     = 'Não foi possível salvar o local de conexão.<br/>O caminho "%1" já existe, não é um repositório git e não está vazio.';
    this.ERR_REMOTE_REPOSITORY_NOT_EXISTS     = 'A URL "%1" do repositório remoto "%2" não está acessível. Verifique a existência da mesma ou suas permissões.';
    this.ERR_REQUIRED_FIELDS                  = 'Os campos com asterisco (*) devem ser preenchidos.';

    /* + ----------------------------------- +
     * | Alert messages                    |
     * + ----------------------------------- + */
    this.ALE_DELETE_CONTACT                  = 'Deseja apagar o contato?';
    this.ALE_ARE_YOU_SURE_DELETE_SPONSORS    = 'Você deseja apagar o(s) cliente(s) selecionado(s)?';
    this.ALE_COPY_REPOSITORY_HEAD            = 'Os locais de conexão do seguintes repositórios: <br/><br/>';
    this.ALE_COPY_REPOSITORY_TAIL            = '<br/>Não podem ser copiados, pois não existem no projeto selecionado.<br/>Deseja continuar?';
    this.ALE_EMPTY_COPY_REPOSITORY           = 'Os repósitorios selecionados não existem no projeto.<br/>Não é possível copiar!';
    this.ALE_CONFIRM_COPY_REPOSITORY_HEAD    = 'Os seguintes locais de conexão podem ser sobrescritos:<br/><br/>';
    this.ALE_CONFIRM_COPY_REPOSITORY_TAIL    = '<br/>Deseja continuar?';
    this.NOT_CHECKED_ROW_LOCAL_CONNECTION    = 'Por favor selecione ao menos um local de conexão para realizar a ação';
    this.ALE_PROJECT_TASK_INITIALIZED        = 'A(s) tarefa(s) abaixo está(ão) iniciada(s) para este projeto. Para inserir um novo local de conexão, por favor pause ou conclua a(s) mesma(s).<br/>%1';
    this.ALE_WINDOWS_DIRECTORY_BAD_SLASH     = 'Você está salvando o diretório windows utilizando as barras "/", isso pode acarretar problemas. Deseja trocar as barras para "\\"?';
    this.ALE_DELETE_LOCALCONNECTION          = 'Deseja deletar o local de conexão?';
    this.ALE_CREATE_CONNECTION_LOCAL         = 'Deseja replicar o local de conexão para os subprojetos?';
    this.ALE_DOUBTFUL_CONNECTION_LOCAL       = 'O local de conexão pode estar incorreto! Deseja Continuar?';
}

Configuration(function(ContextRegister) {
    ContextRegister.register('DCMessages', DCMessages);
});