function DCValidation() {
    this.isValidMail = function(email) {
        var regex = new RegExp(/^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$/);
        return regex.exec(email);
    };

    this.isValidName = function(name) {
        var regex = new RegExp(/^[a-zA-ZàáâäãåąčćęèéêëėįìíîïłńòóôöõøùúûüųūÿýżźñçčšžÀÁÂÄÃÅĄĆČĖĘÈÉÊËÌÍÎÏĮŁŃÒÓÔÖÕØÙÚÛÜŲŪŸÝŻŹÑßÇŒÆČŠŽ∂ð ,.'-]+$/);
        return regex.exec(name);
    };

    this.isEmpty = function (value) {
        return !value || value.length === 0;
    };

    this.isEmptyString = function(string) {
        return this.isEmpty(string) || !string.trim();
    };

    this.equals = function (item,value){
    	return item == value;
    };
}

Configuration(function(ContextRegister) {
    ContextRegister.register('DCValidation', DCValidation);
});
