var BASE_DIR_THEME        = 'bower_components/zeedhi-frontend/assets/css/styles/';
var BASE_DIR_FILTER_THEME = 'bower_components/zh-preferences/dist/style/colors/';
var BASE_DIR_SELECT_AUTO_COMPLETE_THEME = 'bower_components/zh-select-autocomplete/dist/style/colors/';
var BASE_DIR_IMAGES       = '../../..<>FRONTEND_DIRECTORY_NAME<>/assets/images/';
var STYLESHEET_TYPE       = 'stylesheet';
var SHORTCUT_ICON_TYPE    = 'shortcut icon';

var addLinkTagInHead = function(href, type) {
    var lnk = document.createElement('link');
    lnk.setAttribute('rel', type );
    if(type == STYLESHEET_TYPE) {
        lnk.setAttribute('type', "text/css");
    }
    lnk.setAttribute('href', href);
    document.getElementsByTagName("head").item(0).appendChild(lnk);
};

//Update Theme
var style = window.cssStyle || 'inflightor';
var href = BASE_DIR_THEME + 'styles-' + style + '.css';
addLinkTagInHead(href, STYLESHEET_TYPE);

//Update Filter Theme
var filterHref = BASE_DIR_FILTER_THEME + 'styles-' + style + '.css';
addLinkTagInHead(filterHref, STYLESHEET_TYPE);

//Update select auto complete Theme
var filterHref = BASE_DIR_SELECT_AUTO_COMPLETE_THEME + 'styles-' + style + '.css';
addLinkTagInHead(filterHref, STYLESHEET_TYPE);

//Update Favicon
var favicon = BASE_DIR_IMAGES + 'favicon.png';
addLinkTagInHead(favicon, SHORTCUT_ICON_TYPE);

//Remove Splash
$("<style> .splash { display: none !important; </style>").appendTo("head");

window.keepTitle = true;